/*
 * Class CIRCULAR_CURSOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_143 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_143 [] = {0xFF01,237,142,0xFFFF};
static const EIF_TYPE_INDEX egt_2_143 [] = {0xFF01,142,0xFFFF};
static const EIF_TYPE_INDEX egt_3_143 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_143 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_143 [] = {0xFF01,142,0xFFFF};
static const EIF_TYPE_INDEX egt_6_143 [] = {0xFF01,142,0xFFFF};
static const EIF_TYPE_INDEX egt_7_143 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_143 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_143 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_143 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_143 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_143 [] = {0xFF01,142,0xFFFF};
static const EIF_TYPE_INDEX egt_13_143 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_143[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_143), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_143), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_143), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_143), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_143), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_143), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_143), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_143), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_143), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_143), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_143), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_143), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x011D /*142*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_143), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2868, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_143), 2869, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 2870, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 2871, 8},
};
void Init143(void)
{
	IDSC(desc_143, 0, 142);
	IDSC(desc_143 + 1, 1, 142);
	IDSC(desc_143 + 32, 228, 142);
}


#ifdef __cplusplus
}
#endif
